| Home | Libraries | People | FAQ | More

## Function template imbue

boost::xpressive::imbue — Specify a regex traits or a std::locale.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    template<typename Locale> unspecified imbue(Locale const & loc);

## Description

imbue() instructs the regex engine to use the specified traits or locale when matching the regex. The entire expression must use the same traits/locale. For instance, the following specifies a locale for use with a regex: std::locale loc; sregex rx = imbue(loc)(+digit);

Parameters:

`loc` | The std::locale or regex traits object.